package org.richfaces.renderkit;

import org.ajax4jsf.renderkit.HeaderResourcesRendererBase;
import org.richfaces.component.UIResizable;
import javax.faces.component.UIComponent;

public class ResizableRendererBase extends HeaderResourcesRendererBase {
	protected Class getComponentClass() {
		return UIResizable.class;
	}

	protected void formParamList(UIComponent component,String[] vals,
									StringBuffer strb, boolean quoted) {
		
		for (int i=0; i < vals.length; i++) {
       	 String val = (String)component.getAttributes().get(vals[i]); 
       	 if (! "".equals(val) ) {
       		 if (strb.length()!=0)strb.append(",");
       		 	strb.append(vals[i]);
       		 	strb.append(":");
       		 	if (quoted) strb.append("'"); 
       		 	strb.append(val);
       		 	if (quoted) strb.append("'"); 
       	 }
        }

	}

}
